Subject: Re: Looking for Mead Recipes

From: [email-masked] (John E. Taylor III)
Date: Tue, 23 May 1995 12:28:51 -0400

In article <[email-masked]>,
[email-masked] (Nelson Goforth) wrote:

> In article <[email-masked]>, [email-masked] (Johnna E
> Fisher) wrote:
>
> > I'm looking for recipes for Mead.  I've misplaced the one I had.
>
>
> Also, try the Papazian book on mead for the variations on a theme
> (melomels, hypocrases, cysers, and a history of the drink. There are some
> internet resources on mead (and print as well - The Meadmaker's Journal
> being one) but I don't have the material at hand.
>

Check out the Mead Home Page at

     http://www.atd.ucar.edu/rdp/gfc/mead/mead.html

I can't vouch for it, as I haven't been there, but rumor suggests it has
some useful mead-related information.

--
John Taylor    (W3ZID)      |  "The opinions expressed are those of the
e-mail: [email-masked] |   writer and not of Rohm and Haas Company."